DataRetrievalControllerGetBatchData Method |
POST /DataRetrieval/GetBatchData/
Gets the data for the specified objects with the specified settings. Used mainly for scorecards/reports.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetBatchData")]
public Task<IActionResult> GetBatchData(
[FromBodyAttribute] BatchedDataRequestData[] options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetBatchData")>
Public Function GetBatchData (
<FromBodyAttribute> options As BatchedDataRequestData(),
Optional sessionId As Guid? = Nothing
) As Task(Of IActionResult)public:
[HttpPostAttribute]
[ActionNameAttribute(L"GetBatchData")]
Task<IActionResult^>^ GetBatchData(
[FromBodyAttribute] array<BatchedDataRequestData^>^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetBatchData")>]
member GetBatchData :
[<FromBodyAttribute>] options : BatchedDataRequestData[] *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> Task<IActionResult>
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsBatchedDataRequestData
The options for how to retrieve the data. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the session.
Return Value
Type:
TaskIActionResult
Returns an array of
BatchedResultData with the results. If an error occurs, either a status code is returned indicating the problem, or the Exceptions property on
the result will be populated with one or more errors.
See Also